package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * (BdStordoc)实体类
 *
 * @author makejava
 * @since 2023-08-25 10:19:26
 */
public class BdStordocEntity extends BaseEntity {

    private String csflag;
    private String def1;
    private String def2;
    private String def3;
    private String def4;
    private String def5;
    private Long dr;
    private String gubflag;
    private String isatpaffected;
    private String iscalculatedinvcost;
    private String iscapitalstor;
    private String isdirectstore;
    private String isdsstor;
    private String isforeignstor;
    private String isgathersettle;
    private String isshopstor;
    private String isstoreontheway;
    private String isuseretail;
    private String memo;
    private String mrpflag;
    private String outsourceflag;
    private String phone;
    private String pkAddress;
    private String pkCalbody;
    private String pkCorp;
    private String pkStordoc;
    private String principalcode;
    private String processor;
    private String processorbasid;
    private String processormanid;
    private String proflag;
    private String sealflag;
    private String storaddr;
    private String storcode;
    private String storname;
    private String ts;

    //查询多个仓库编码
    private String storcodes;

    public String getStorcodes() {
        return storcodes;
    }

    public void setStorcodes(String storcodes) {
        this.storcodes = storcodes;
    }

    public String getCsflag() {
        return csflag;
    }

    public void setCsflag(String csflag) {
        this.csflag = csflag;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    public Long getDr() {
        return dr;
    }

    public void setDr(Long dr) {
        this.dr = dr;
    }

    public String getGubflag() {
        return gubflag;
    }

    public void setGubflag(String gubflag) {
        this.gubflag = gubflag;
    }

    public String getIsatpaffected() {
        return isatpaffected;
    }

    public void setIsatpaffected(String isatpaffected) {
        this.isatpaffected = isatpaffected;
    }

    public String getIscalculatedinvcost() {
        return iscalculatedinvcost;
    }

    public void setIscalculatedinvcost(String iscalculatedinvcost) {
        this.iscalculatedinvcost = iscalculatedinvcost;
    }

    public String getIscapitalstor() {
        return iscapitalstor;
    }

    public void setIscapitalstor(String iscapitalstor) {
        this.iscapitalstor = iscapitalstor;
    }

    public String getIsdirectstore() {
        return isdirectstore;
    }

    public void setIsdirectstore(String isdirectstore) {
        this.isdirectstore = isdirectstore;
    }

    public String getIsdsstor() {
        return isdsstor;
    }

    public void setIsdsstor(String isdsstor) {
        this.isdsstor = isdsstor;
    }

    public String getIsforeignstor() {
        return isforeignstor;
    }

    public void setIsforeignstor(String isforeignstor) {
        this.isforeignstor = isforeignstor;
    }

    public String getIsgathersettle() {
        return isgathersettle;
    }

    public void setIsgathersettle(String isgathersettle) {
        this.isgathersettle = isgathersettle;
    }

    public String getIsshopstor() {
        return isshopstor;
    }

    public void setIsshopstor(String isshopstor) {
        this.isshopstor = isshopstor;
    }

    public String getIsstoreontheway() {
        return isstoreontheway;
    }

    public void setIsstoreontheway(String isstoreontheway) {
        this.isstoreontheway = isstoreontheway;
    }

    public String getIsuseretail() {
        return isuseretail;
    }

    public void setIsuseretail(String isuseretail) {
        this.isuseretail = isuseretail;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getMrpflag() {
        return mrpflag;
    }

    public void setMrpflag(String mrpflag) {
        this.mrpflag = mrpflag;
    }

    public String getOutsourceflag() {
        return outsourceflag;
    }

    public void setOutsourceflag(String outsourceflag) {
        this.outsourceflag = outsourceflag;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPkAddress() {
        return pkAddress;
    }

    public void setPkAddress(String pkAddress) {
        this.pkAddress = pkAddress;
    }

    public String getPkCalbody() {
        return pkCalbody;
    }

    public void setPkCalbody(String pkCalbody) {
        this.pkCalbody = pkCalbody;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkStordoc() {
        return pkStordoc;
    }

    public void setPkStordoc(String pkStordoc) {
        this.pkStordoc = pkStordoc;
    }

    public String getPrincipalcode() {
        return principalcode;
    }

    public void setPrincipalcode(String principalcode) {
        this.principalcode = principalcode;
    }

    public String getProcessor() {
        return processor;
    }

    public void setProcessor(String processor) {
        this.processor = processor;
    }

    public String getProcessorbasid() {
        return processorbasid;
    }

    public void setProcessorbasid(String processorbasid) {
        this.processorbasid = processorbasid;
    }

    public String getProcessormanid() {
        return processormanid;
    }

    public void setProcessormanid(String processormanid) {
        this.processormanid = processormanid;
    }

    public String getProflag() {
        return proflag;
    }

    public void setProflag(String proflag) {
        this.proflag = proflag;
    }

    public String getSealflag() {
        return sealflag;
    }

    public void setSealflag(String sealflag) {
        this.sealflag = sealflag;
    }

    public String getStoraddr() {
        return storaddr;
    }

    public void setStoraddr(String storaddr) {
        this.storaddr = storaddr;
    }

    public String getStorcode() {
        return storcode;
    }

    public void setStorcode(String storcode) {
        this.storcode = storcode;
    }

    public String getStorname() {
        return storname;
    }

    public void setStorname(String storname) {
        this.storname = storname;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

}

